/*-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-fx-common                                                                               -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

/*******************************************************************************
 * Common style classes                                                        *
 *******************************************************************************/
.h1 {
    -fx-font-size: 24px;
}

.h2 {
    -fx-font-size: 20px;
}

.h3 {
    -fx-font-size: 18px;
}

.h4 {
    -fx-font-size: 14px;
}

.fake .text {
    -fx-strikethrough: true;
}

.copyable-label, .copyable-label:focused {
    -fx-background-color: transparent;
    -fx-background-insets: 0px;
}

/*******************************************************************************
 * Splash screen                                                               *
 *******************************************************************************/
.chvote-splash-screen {
    -fx-background-repeat: stretch;
    -fx-background-size: 390 390;
    -fx-background-position: center center;
}

/*******************************************************************************
 * Build number                                                                *
 *******************************************************************************/
.build-info {
    -fx-padding: 10px;
}

.build-number {
    -fx-font-size: 14px;
    -fx-font-weight: bold;
}

.build-timestamp {
    -fx-font-size: 12px;
}

/*******************************************************************************
 * Toolbar                                                                     *
 *******************************************************************************/
.toolbar-button {
    -jfx-disable-visual-focus: true;
}

.toolbar-button .jfx-rippler {
    -jfx-rippler-fill: rgba(69, 123, 166, .12);;
}

/*******************************************************************************
 * View                                                                        *
 *******************************************************************************/

.readonly-field {
    -fx-min-width: 325px;
    -fx-max-width: 325px;
    -fx-padding: 15px 30px 15px 30px;
}

.readonly-label {
    -fx-font-size: 14px;
    -fx-text-fill: rgba(0, 0, 0, .5);
    -fx-padding: 0px 0px 3px 0px;
}

.readonly-value {
    -fx-wrap-text: true;
    -fx-max-width: 290px;
    -fx-font-size: 14px;
    -fx-text-fill: rgba(0, 0, 0, .75);
    -fx-padding: 0px 20px 0px 0px;
}

.mandatory {
    -fx-padding: 0px 12px 0px;
    -fx-background-image: url('../fxcommon/images/asterisk_roboto14px.png');
    -fx-background-position: top 2px right;
    -fx-background-repeat: no-repeat;
}

.chvote-message-container {
    -fx-padding: 16px;
}

.chvote-message-container.in-step {
    -fx-padding: 24px 0px 0px 24px;
}

/*******************************************************************************
 * JFX Button                                                                  *
 *******************************************************************************/
.jfx-button {
    -fx-padding: 0px 16px 0px 16px;
    -fx-min-height: 36px;
    -fx-cursor: hand;
}

.button-primary {
    -fx-text-fill: #457ba6;
    -jfx-disable-visual-focus: true;
}

.button-primary:hover {
    -fx-background-color: rgba(69, 123, 166, .12);
}

.button-primary .jfx-rippler {
    -jfx-rippler-fill: none;
}

.button-primary-raised {
    -fx-text-fill: WHITE;
    -fx-background-color: #457ba6;
}

.icon-primary {
    -fx-fill: #457ba6;
}

.icon-primary-raised {
    -fx-fill: WHITE;
}

/*******************************************************************************
 * JFX TextField / TextArea                                                    *
 *******************************************************************************/
.jfx-text-field {
    -jfx-focus-color: #457ba6;
    -fx-padding: 0;
}

.jfx-password-field {
    -jfx-focus-color: #457ba6;
    -fx-padding: 0;
}

.jfx-text-area {
    -jfx-focus-color: #457ba6;
    -fx-padding: 0;
}

/*******************************************************************************
 * JFX Drawer                                                                  *
 *******************************************************************************/
.jfx-drawer-overlay-pane {
    -fx-background-color: rgba(0.0, 0.0, 0.0, 0.1)
}

.jfx-drawer-side-pane {
    -fx-background-color: WHITE;
    -fx-font-size: 16px;
}

.drawer-content-frame {
    -fx-padding: 20px;
    -fx-background-color: #E0E0E0;
}

.drawer-content {
    -fx-max-width: 1240px;
}

/*******************************************************************************
 * JFX Hamburger Icon                                                          *
 *******************************************************************************/
.jfx-hamburger {
    -fx-padding: 0px 6px 0px 6px;
    -fx-min-width: 52px;
    -fx-min-height: 40px;
    -fx-cursor: hand;
}

.jfx-hamburger .jfx-rippler {
    -jfx-rippler-fill: rgba(69, 123, 166, .12);
}

.jfx-hamburger StackPane {
    -fx-pref-width: 24px;
    -fx-pref-height: 2px;
    -fx-background-color: WHITE;
    -fx-background-radius: 5px;
}

.jfx-hamburger:disabled StackPane {
    -fx-opacity: 0.5;
}

/*******************************************************************************
 * JFX Tool Bar                                                                *
 *******************************************************************************/
.jfx-tool-bar {
    -fx-font-family: "Roboto Medium";
    -fx-font-size: 20px;
    -fx-background-color: #457ba6;
    -fx-min-width: 100.0%;
    -fx-min-height: 64.0;
    -fx-padding: 0px 16px 0px 16px;
}

.jfx-tool-bar .tool-bar-left-box,
.jfx-tool-bar .tool-bar-right-box {
    -fx-alignment: center;
}

.jfx-tool-bar .label {
    -fx-text-fill: WHITE;
}

/*******************************************************************************
 * Menu                                                                        *
 *******************************************************************************/
.menu-item:hover,
.menu-item:focused {
    -fx-background-color: rgba(0, 0, 0, .04);
}

.menu-item:hover > .label,
.menu-item:focused > .label {
    -fx-background-color: rgba(0, 0, 0, 0);
    -fx-text-fill: rgba(0, 0, 0, .87);
}

.menu-item {
    -fx-font-family: Roboto;
    -fx-font-size: 16px;
    -fx-cursor: hand;
    -fx-pref-height: 48px;
    -fx-padding: 0px 16px 0px 16px;
    -fx-text-align: left;
    -fx-text-fill: rgba(0, 0, 0, .87);
}

/*******************************************************************************
 * JFX List View                                                               *
 *******************************************************************************/
.list-view,
.list-view:focused {
    -fx-background-color: WHITE;
}

.jfx-list-view {
    -jfx-cell-horizontal-margin: 0px;
    -jfx-cell-vertical-margin: 8px;
    -jfx-expanded: false;
}

.jfx-list-cell {
    -fx-text-fill: rgba(0, 0, 0, .87);
    -fx-padding: 15px;
}

.jfx-list-cell:odd,
.jfx-list-cell:even {
    -fx-background-color: WHITE;
}

.jfx-list-cell:filled {
    -fx-border-width: 0 0 1 0;
    -fx-border-color: rgba(0, 0, 0, 0.12);
    -fx-cursor: hand;
}

.jfx-list-cell .button {
    -fx-font-family: Roboto;
    -fx-font-size: 16px;
    -jfx-disable-visual-focus: true;
    -fx-min-height: 48px;
}

.jfx-list-cell .jfx-rippler {
    -jfx-rippler-fill: none;
}

/*******************************************************************************
 * JFX Progress Bar                                                            *
 *******************************************************************************/
.jfx-progress-bar {
    -fx-padding: 6px 15px 6px 15px;
}

.jfx-progress-bar > .bar {
    -fx-background-color: #457ba6;
}

.valid-glyph {
    -fx-fill: #4caf50;
}

.invalid-glyph {
    -fx-fill: #ff5722;
}

.progress-row {
    -fx-padding: 10px 0px 10px 0px;
    -fx-max-width: 600px;
    -fx-min-width: 600px;
}

.progress-label {
    -fx-font-size: 14px;
    -fx-pref-width: 250px;
    -fx-max-width: 250px;
    -fx-min-width: 250px;
}

.progress-info {
    -fx-padding: 0px 15px 0px 15px;
}

/*******************************************************************************
 * JFX Spinner                                                                 *
 *******************************************************************************/
.jfx-spinner {
    -jfx-radius: 5px;
}

.jfx-spinner .arc {
    -fx-stroke: #457ba6;
    -fx-stroke-width: 2.0;
}

/*******************************************************************************
 * JFX Tree Table View                                                         *
 *******************************************************************************/
.tree-table-view .tree-table-cell {
    -fx-border-width: 1;
    -fx-padding: 5px 0 5px 10px;
    -fx-alignment: top-left;
}

.tree-table-view .column-header,
.tree-table-view .column-header-background {
    -fx-max-height: 0;
    -fx-pref-height: 0;
    -fx-min-height: 0;
}

/*******************************************************************************
 * JFX Tab Pane                                                                *
 *******************************************************************************/
.jfx-tab-pane * {
    -fx-effect: null;
}

.jfx-tab-pane .tab-header-background {
    -fx-background-color: #a0c4e4;
}

.jfx-tab-pane .headers-region > .tab > .jfx-rippler {
    -jfx-rippler-fill: rgba(69, 123, 166, .12);
}

.jfx-tab-pane .headers-region > .tab > .jfx-rippler {
    -jfx-rippler-fill: null;
}

.jfx-tab-pane .headers-region .tab-selected-line {
    -fx-opacity: 0;
}

.jfx-tab-pane .headers-region .tab:selected .tab-container .tab-label {
    -fx-border-color: black;
    -fx-border-style: solid;
    -fx-border-width: 0 0 2 0;
}


.jfx-tab-pane .headers-region .tab .tab-container .tab-label {
    -fx-text-fill: rgba(0, 0, 0, .2);
    -fx-padding: 16px;
}
.jfx-tab-pane .headers-region .tab:selected .tab-container .tab-label {
    -fx-text-fill: rgba(0, 0, 0, .87);
}

.jfx-tab-pane .tab-content-area {
    -fx-padding: 0px;
}

/*******************************************************************************
 * JFX Snack bar                                                               *
 ******************************************************************************/

.jfx-snackbar-content {
    -fx-background-color: #323232;
}

.jfx-snackbar-toast {
    -fx-text-fill: WHITE;
}